### Method

# Hinoko FwIsoIrSingle start

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_ir_single_start (
      HinokoFwIsoIrSingle* self,
      const guint16* cycle_match,
      guint32 sync_code,
      HinokoFwIsoCtxMatchFlag tags,
      GError** error
    )

#### Description [src]

Start IR context.

Available since: 0.7

#### Parameters

`cycle_match`

  Type: An array of `guint16`

  The isochronous cycle to start packet processing. The first element should be the second part of isochronous cycle, up to 3. The second element should be the cycle part of isochronous cycle, up to 7999.

  The argument can be `NULL`.
  The array must have 2 elements.
  The data is owned by the caller of the method.

`sync_code`

  Type: `guint32`

  The value of sy field in isochronous packet header for packet processing, up to 15.

`tags`

  Type: `HinokoFwIsoCtxMatchFlag`

  The value of tag field in isochronous header for packet processing.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.